## robocode
Class BattleEndedEvent

    java.lang.Object
      robocode.Event
          robocode.BattleEndedEvent

All Implemented Interfaces:
  Serializable, Comparable

    public final class BattleEndedEvent

extends Event

A BattleEndedEvent is sent to `onBattleEnded()` when the battle is ended. You can use the information contained in this event to determine if the battle was aborted and also get the results of the battle.

Since:
  1.6.1
Author:
  Pavel Savara (original)
See Also:
  `BattleResults`, `Robot.onBattleEnded(BattleEndedEvent)`, Serialized Form

Constructor Summary
`BattleEndedEvent(boolean aborted, BattleResults results)` Called by the game to create a new BattleEndedEvent.

Method Summary
`int` `getPriority()` Returns the priority of this event.
`BattleResults` `getResults()` Returns the battle results.
`boolean` `isAborted()` Checks if this battle was aborted.

Methods inherited from class robocode.Event
`compareTo, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BattleEndedEvent

    public BattleEndedEvent(boolean aborted,
                            BattleResults results)

  Called by the game to create a new BattleEndedEvent.

  Parameters:
    `aborted` - `true` if the battle was aborted; `false` otherwise.
    `results` - the battle results

Method Detail

### isAborted

    public boolean isAborted()

  Checks if this battle was aborted.

  Returns:
    `true` if the battle was aborted; `false` otherwise.

### getResults

    public BattleResults getResults()

  Returns the battle results.

  Returns:
    the battle results.

### getPriority

    public final int getPriority()

  Returns the priority of this event. An event priority is a value from 0 - 99. The higher value, the higher priority. The default priority is 80.

  Overrides:
    `getPriority` in class `Event`
  Returns:
    the priority of this event

Copyright © 2010 Robocode. All Rights Reserved.